# Leads

## Get Lead

> Retrieve information about your leads.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/leads/{LeadCode}":{"get":{"tags":["Leads"],"summary":"Get Lead","description":"Retrieve information about your leads.","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"LeadCode","in":"path","description":"Unique code which represents an existing lead","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Get Lead","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetLeadResponse"}}}}}}}},"components":{"schemas":{"GetLeadResponse":{"type":"object","properties":{"LeadCode":{"type":"string"},"GeneratedFrom":{"type":"string"},"CartId":{"type":"string"},"Currency":{"type":"string"},"Language":{"type":"string"},"ExternalReference":{"type":"string"},"MachineId":{"type":"string"},"Items":{"$ref":"#/components/schemas/GetLeadResponse_Items"},"BillingDetails":{"$ref":"#/components/schemas/GetLeadResponse_BillingDetails"},"DeliveryDetails":{"$ref":"#/components/schemas/GetLeadResponse_DeliveryDetails"},"DeliveryInformation":{"$ref":"#/components/schemas/GetLeadResponse_DeliveryInformation"},"PaymentDetails":{"$ref":"#/components/schemas/GetLeadResponse_PaymentDetails"},"Promotions":{"type":"array","items":{"$ref":"#/components/schemas/GetLeadResponse_Promotions"}},"LocalTime":{"type":"string"}}},"GetLeadResponse_Items":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/Item"}}},"Item":{"type":"object","properties":{"Code":{"type":"string"},"Quantity":{"type":"integer"},"SKU":{"type":"string"},"IsDynamic":{"type":"boolean"},"Tangible":{"type":"boolean"},"PurchaseType":{"type":"string"},"PriceOptions":{"$ref":"#/components/schemas/Item_PriceOptions"},"RecurringOptions":{"$ref":"#/components/schemas/Item_RecurringOptions"},"MarketingCampaigns":{"$ref":"#/components/schemas/Item_MarketingCampaigns"},"Price":{"$ref":"#/components/schemas/Item_Price"},"AdditionalFields":{"$ref":"#/components/schemas/Item_AdditionalFields"},"SubscriptionStartDate":{"type":"string"},"Trial":{"$ref":"#/components/schemas/LeadTrial"}}},"Item_PriceOptions":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/PriceOptions"}}},"PriceOptions":{"type":"object","properties":{"Name":{"type":"string"},"Options":{"$ref":"#/components/schemas/PriceOptions_Options"}}},"PriceOptions_Options":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/PriceOptionsOption"}}},"PriceOptionsOption":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"},"Surcharge":{"type":"number"}}},"Item_RecurringOptions":{"type":"object","properties":{"Object":{"$ref":"#/components/schemas/RecurringOptions"}}},"RecurringOptions":{"type":"object","properties":{"CycleLength":{"type":"integer"},"CycleUnit":{"type":"string"},"CycleAmount":{"type":"integer"},"ContractLength":{"type":"integer"},"ContractUnit":{"type":"string"}}},"Item_MarketingCampaigns":{"type":"object","properties":{"Object":{"$ref":"#/components/schemas/MarketingCampaigns"}}},"MarketingCampaigns":{"type":"object","properties":{"Type":{"type":"integer"},"ParentCode":{"type":"string"},"CampaignCode":{"type":"integer"}}},"Item_Price":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/Price"}}},"Price":{"type":"object","properties":{"Amount":{"type":"integer"},"Type":{"type":"string"}}},"Item_AdditionalFields":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/AdditionalFields"}}},"AdditionalFields":{"type":"object","properties":{"Code":{"type":"string"},"Text":{"type":"string"},"Value":{"type":"string"}}},"LeadTrial":{"type":"object","properties":{"Period":{"type":"integer"},"Price":{"type":"number"}}},"GetLeadResponse_BillingDetails":{"type":"object","properties":{"Object":{"$ref":"#/components/schemas/BillingDetails"}}},"BillingDetails":{"type":"object","properties":{"FirstName":{"type":"string"},"LastName":{"type":"string"},"Phone":{"type":"string"},"Company":{"type":"string"},"FiscalCode":{"type":"string"},"Email":{"type":"string"},"Address1":{"type":"string"},"Address2":{"type":"string"},"City":{"type":"string"},"Zip":{"type":"string"},"CountryCode":{"type":"string"},"State":{"type":"string"}}},"GetLeadResponse_DeliveryDetails":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/DeliveryDetails"}}},"DeliveryDetails":{"type":"object","properties":{"Phone":{"type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"Company":{"type":"string"},"FiscalCode":{"type":"string"},"Email":{"type":"string"},"Address1":{"type":"string"},"Address2":{"type":"string"},"City":{"type":"string"},"Zip":{"type":"string"},"CountryCode":{"type":"string"},"State":{"type":"string"}}},"GetLeadResponse_DeliveryInformation":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/DeliveryInformation"}}},"DeliveryInformation":{"type":"object","properties":{"ShippingMethod":{"$ref":"#/components/schemas/DeliveryInformation_ShippingMethod"}}},"DeliveryInformation_ShippingMethod":{"type":"object","properties":{"Code":{"type":"string"}}},"GetLeadResponse_PaymentDetails":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/PaymentDetails"}}},"PaymentDetails":{"type":"object","properties":{"Type":{"type":"string"},"Currency":{"type":"string"},"RecurringEnabled":{"type":"boolean"},"PaymentMethod":{"$ref":"#/components/schemas/PaymentDetails_PaymentMethod"},"CustomerIP":{"type":"string"}}},"PaymentDetails_PaymentMethod":{"type":"object","properties":{"CardPayment":{"$ref":"#/components/schemas/PaymentDetails_PaymentMethod_CardPayment"}}},"PaymentDetails_PaymentMethod_CardPayment":{"type":"object","properties":{"InstallmentsNumber":{"type":"number"}}},"GetLeadResponse_Promotions":{"type":"object","properties":{"0":{"type":"string"}}}}}}
```

## Update a Lead

> Be aware that when updating a lead, all the existing data for that lead will be overwritten with the provided parameters.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/leads/{LeadCode}":{"put":{"tags":["Leads"],"summary":"Update a Lead","description":"Be aware that when updating a lead, all the existing data for that lead will be overwritten with the provided parameters.","parameters":[{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","enum":["application/json"]}},{"name":"LeadCode","in":"path","description":"Lead's code","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"CartId","in":"query","description":"Id of the cart","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"GeneratedFrom","in":"query","description":"Source","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Currency","in":"query","description":"Currency","required":true,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Language","in":"query","description":"Lead's language","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"ExternalReference","in":"query","description":"Vendor's reference","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"MachineId","in":"query","description":"Machine id","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"FollowedUp","in":"query","description":"Followed up","required":false,"style":"form","explode":true,"schema":{"type":"boolean"}},{"name":"LocalTime","in":"query","description":"Local time","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Items","in":"query","description":"Purchased products","required":true,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"object"}}},{"name":"BillingDetails","in":"query","description":"Billing details","required":true,"style":"form","explode":true,"schema":{"type":"object"}},{"name":"DeliveryDetails","in":"query","description":"Delivery details","required":false,"style":"form","explode":true,"schema":{"type":"object"}},{"name":"DeliveryInformation","in":"query","description":"Delivery informations","required":false,"style":"form","explode":true,"schema":{"type":"object"}},{"name":"PaymentDetails","in":"query","description":"Details about payment","required":false,"style":"form","explode":true,"schema":{"type":"object"}},{"name":"Promotions","in":"query","description":"Promotion codes","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Add lead","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_5"}}}}}}}},"components":{"schemas":{"inline_response_200_5":{"type":"object","properties":{"LeadResponse":{"$ref":"#/components/schemas/UpdateLeadResponse"}}},"UpdateLeadResponse":{"type":"object","properties":{"LeadCode":{"type":"string"},"CreatedAt":{"type":"string"},"UpdatedAt":{"type":"string"},"Errors":{"type":"array","items":{"$ref":"#/components/schemas/LeadResponse_Errors"}}}},"LeadResponse_Errors":{"type":"object","properties":{"Code":{"type":"string"},"Description":{"type":"string"}}}}}}
```

## GET /leads/

> Search Leads

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/leads/":{"get":{"tags":["Leads"],"summary":"Search Leads","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"LeadCode","in":"query","description":"Unique code which represents an existing lead","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"Email","in":"query","description":"Shopper\\'s email address","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Type","in":"query","description":"Lead type","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"StartDate","in":"query","description":"Start date","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"EndDate","in":"query","description":"End date","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"ProductCode","in":"query","description":"Product code. This can be a string and contain only one code or an array with multiple codes","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"Language","in":"query","description":"Shopper cart language code","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Country","in":"query","description":"Shopper billing country code","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"GeneratedFrom","in":"query","description":"Source of the generated Lead","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Page","in":"query","description":"Page number","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"Limit","in":"query","description":"Number of results on a page","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Get Lead","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_6"}}}}}}}},"components":{"schemas":{"inline_response_200_6":{"type":"object","properties":{"Items":{"$ref":"#/components/schemas/GetLeadResponse"},"Pagination":{"$ref":"#/components/schemas/Pagination"}}},"GetLeadResponse":{"type":"object","properties":{"LeadCode":{"type":"string"},"GeneratedFrom":{"type":"string"},"CartId":{"type":"string"},"Currency":{"type":"string"},"Language":{"type":"string"},"ExternalReference":{"type":"string"},"MachineId":{"type":"string"},"Items":{"$ref":"#/components/schemas/GetLeadResponse_Items"},"BillingDetails":{"$ref":"#/components/schemas/GetLeadResponse_BillingDetails"},"DeliveryDetails":{"$ref":"#/components/schemas/GetLeadResponse_DeliveryDetails"},"DeliveryInformation":{"$ref":"#/components/schemas/GetLeadResponse_DeliveryInformation"},"PaymentDetails":{"$ref":"#/components/schemas/GetLeadResponse_PaymentDetails"},"Promotions":{"type":"array","items":{"$ref":"#/components/schemas/GetLeadResponse_Promotions"}},"LocalTime":{"type":"string"}}},"GetLeadResponse_Items":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/Item"}}},"Item":{"type":"object","properties":{"Code":{"type":"string"},"Quantity":{"type":"integer"},"SKU":{"type":"string"},"IsDynamic":{"type":"boolean"},"Tangible":{"type":"boolean"},"PurchaseType":{"type":"string"},"PriceOptions":{"$ref":"#/components/schemas/Item_PriceOptions"},"RecurringOptions":{"$ref":"#/components/schemas/Item_RecurringOptions"},"MarketingCampaigns":{"$ref":"#/components/schemas/Item_MarketingCampaigns"},"Price":{"$ref":"#/components/schemas/Item_Price"},"AdditionalFields":{"$ref":"#/components/schemas/Item_AdditionalFields"},"SubscriptionStartDate":{"type":"string"},"Trial":{"$ref":"#/components/schemas/LeadTrial"}}},"Item_PriceOptions":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/PriceOptions"}}},"PriceOptions":{"type":"object","properties":{"Name":{"type":"string"},"Options":{"$ref":"#/components/schemas/PriceOptions_Options"}}},"PriceOptions_Options":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/PriceOptionsOption"}}},"PriceOptionsOption":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"},"Surcharge":{"type":"number"}}},"Item_RecurringOptions":{"type":"object","properties":{"Object":{"$ref":"#/components/schemas/RecurringOptions"}}},"RecurringOptions":{"type":"object","properties":{"CycleLength":{"type":"integer"},"CycleUnit":{"type":"string"},"CycleAmount":{"type":"integer"},"ContractLength":{"type":"integer"},"ContractUnit":{"type":"string"}}},"Item_MarketingCampaigns":{"type":"object","properties":{"Object":{"$ref":"#/components/schemas/MarketingCampaigns"}}},"MarketingCampaigns":{"type":"object","properties":{"Type":{"type":"integer"},"ParentCode":{"type":"string"},"CampaignCode":{"type":"integer"}}},"Item_Price":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/Price"}}},"Price":{"type":"object","properties":{"Amount":{"type":"integer"},"Type":{"type":"string"}}},"Item_AdditionalFields":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/AdditionalFields"}}},"AdditionalFields":{"type":"object","properties":{"Code":{"type":"string"},"Text":{"type":"string"},"Value":{"type":"string"}}},"LeadTrial":{"type":"object","properties":{"Period":{"type":"integer"},"Price":{"type":"number"}}},"GetLeadResponse_BillingDetails":{"type":"object","properties":{"Object":{"$ref":"#/components/schemas/BillingDetails"}}},"BillingDetails":{"type":"object","properties":{"FirstName":{"type":"string"},"LastName":{"type":"string"},"Phone":{"type":"string"},"Company":{"type":"string"},"FiscalCode":{"type":"string"},"Email":{"type":"string"},"Address1":{"type":"string"},"Address2":{"type":"string"},"City":{"type":"string"},"Zip":{"type":"string"},"CountryCode":{"type":"string"},"State":{"type":"string"}}},"GetLeadResponse_DeliveryDetails":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/DeliveryDetails"}}},"DeliveryDetails":{"type":"object","properties":{"Phone":{"type":"string"},"FirstName":{"type":"string"},"LastName":{"type":"string"},"Company":{"type":"string"},"FiscalCode":{"type":"string"},"Email":{"type":"string"},"Address1":{"type":"string"},"Address2":{"type":"string"},"City":{"type":"string"},"Zip":{"type":"string"},"CountryCode":{"type":"string"},"State":{"type":"string"}}},"GetLeadResponse_DeliveryInformation":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/DeliveryInformation"}}},"DeliveryInformation":{"type":"object","properties":{"ShippingMethod":{"$ref":"#/components/schemas/DeliveryInformation_ShippingMethod"}}},"DeliveryInformation_ShippingMethod":{"type":"object","properties":{"Code":{"type":"string"}}},"GetLeadResponse_PaymentDetails":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/PaymentDetails"}}},"PaymentDetails":{"type":"object","properties":{"Type":{"type":"string"},"Currency":{"type":"string"},"RecurringEnabled":{"type":"boolean"},"PaymentMethod":{"$ref":"#/components/schemas/PaymentDetails_PaymentMethod"},"CustomerIP":{"type":"string"}}},"PaymentDetails_PaymentMethod":{"type":"object","properties":{"CardPayment":{"$ref":"#/components/schemas/PaymentDetails_PaymentMethod_CardPayment"}}},"PaymentDetails_PaymentMethod_CardPayment":{"type":"object","properties":{"InstallmentsNumber":{"type":"number"}}},"GetLeadResponse_Promotions":{"type":"object","properties":{"0":{"type":"string"}}},"Pagination":{"type":"object","properties":{"Page":{"type":"integer"},"Limit":{"type":"integer"},"Count":{"type":"integer"}}}}}}
```

## POST /leads/

> Add Leads for catalog products

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/leads/":{"post":{"tags":["Leads"],"summary":"Add Leads for catalog products","parameters":[{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","enum":["application/json"]}},{"name":"LeadCode","in":"query","description":"Lead's code","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"CartId","in":"query","description":"Id of the cart","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Currency","in":"query","description":"Currency","required":true,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Language","in":"query","description":"Lead's language","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"ExternalReference","in":"query","description":"Vendor's reference","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Source","in":"query","description":"Lead's source","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"CustomerReference","in":"query","description":"Customer reference","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"MachineId","in":"query","description":"Machine id","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"LocalTime","in":"query","description":"Local time","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Items","in":"query","description":"Purchased products","required":true,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"object"}}},{"name":"BillingDetails","in":"query","description":"Billing details","required":true,"style":"form","explode":true,"schema":{"type":"object"}},{"name":"DeliveryDetails","in":"query","description":"Delivery details","required":false,"style":"form","explode":true,"schema":{"type":"object"}},{"name":"DeliveryInformation","in":"query","description":"Delivery informations","required":false,"style":"form","explode":true,"schema":{"type":"object"}},{"name":"PaymentDetails","in":"query","description":"Details about payment","required":false,"style":"form","explode":true,"schema":{"type":"object"}},{"name":"Promotions","in":"query","description":"Promotion codes","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Add lead","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}}}}}},"components":{"schemas":{"inline_response_200_7":{"type":"object","properties":{"LeadResponse":{"$ref":"#/components/schemas/LeadResponse"}}},"LeadResponse":{"type":"object","properties":{"LeadCode":{"type":"string"},"CreatedAt":{"type":"string"},"Errors":{"type":"array","items":{"$ref":"#/components/schemas/LeadResponse_Errors"}}}},"LeadResponse_Errors":{"type":"object","properties":{"Code":{"type":"string"},"Description":{"type":"string"}}}}}}
```

## PUT /leads/

> Mark leads as used and stop follow-ups

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/leads/":{"put":{"tags":["Leads"],"summary":"Mark leads as used and stop follow-ups","parameters":[{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","enum":["application/json"]}},{"name":"Array of objects","in":"query","description":"Array of objects","required":true,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"object"}}}],"responses":{"200":{"description":"Mark Leads Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarkLeadsResponse"}}}}}}}},"components":{"schemas":{"MarkLeadsResponse":{"type":"object","properties":{"Response":{"type":"string"},"Errors":{"type":"array","items":{"$ref":"#/components/schemas/MarkLeadsResponse_Errors"}}}},"MarkLeadsResponse_Errors":{"type":"object","properties":{"Code":{"type":"string"},"Description":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/api-reference/reference/leads.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
